Update=1000

[Variables]

;Find locations here http://sigizmund.info/woeidinfo
Location=44418
Unit=c
UnitCap=F



=========================================



[MeterRightLine]
Meter=IMAGE
X=150
Y=0
W=350
H=100
ImageName=bg.png
AntiAlias=1


[MeterCenterLine]
Meter=IMAGE
X=200
Y=-25
W=250
H=150
ImageName=Line.png
AntiAlias=1


[MeasureTime]
Measure=Time
Format=%I : %M

[Measure]
Measure=Calc
Formula=Measure1 * 4

[Measure1]
Measure=Time
AverageSize=10


[MeterTime]
MeasureName=MeasureTime
Meter=STRING
X=95
Y=25
FontColor=255, 255, 255, 255
FontSize=25
StringAlign=CENTER
StringStyle=NORMAL
StringEffect=SHADOW
FontEffectColor=0,0,0,80
FontFace=AlphaMaleModern
AntiAlias=1


[MeasureTimeampm]
Measure=Time
Format=%p
Substitute="PM":"pm","AM":"am"

[MeasureTimeS]
Measure=Time
Format=%S

[MeterTimeampm]
Meter=STRING
MeasureName=MeasureTimeampm
X=0
Y=25
FontColor=255,255,255,255
StringStyle=NORMAL
FontSize=20
StringAlign=LEFT
FontFace=AlphaMaleModern
AntiAlias=1

[MeterTimes]
MeasureName=MeasureTimeS
Meter=string
X=150
Y=29
FontColor=255,255,255,255
FontSize=16
FontFace=AlphaMaleModern
StringAlign=Left
StringStyle=Normal
AntiAlias=1


[MeasureLabel]
Measure=Time
Format="#%p"

[MeasureWeek]
Measure=Time
Format="  - %m - %Y"
   
[MeasureDate]
Measure=Time
Format="%d"
Substitute="January":"JAN","February":"FEB","March":"MAR","April":"APR","May":"MAY","June":"JUNE","July":"JULY","August":"AUG","September":"SEPT","October":"OCT","November":"NOV","December":"DEC"

[MeterDate]
Meter=String
MeasureName=MeasureDate
X=500
Y=25
FontColor=255, 255, 255, 255
FontSize=23
StringAlign=CENTER
StringStyle=NORMAL
StringEffect=SHADOW
FontEffectColor=0,0,0,80
FontFace=AlphaMaleModern
AntiAlias=1

[MeterWeek]
Meter=String
MeasureName=MeasureWeek
X=580
Y=25
FontColor=255, 255, 255, 255
FontSize=23
StringAlign=CENTER
StringStyle=NORMAL
StringEffect=SHADOW
FontEffectColor=0,0,0,80
FontFace=AlphaMaleModern
AntiAlias=1


==================================================================================================



[MeasureYahooWeather]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=600
URL=http://weather.yahooapis.com/forecastrss?w=#Location#&u=#Unit#
RegExp="(?siU)<title>.*- (.*)</title>.*<link>(.*)/\*(.*)</link>.*<description>(.*)</description>.*<language>(.*)</language>.*<lastBuildDate>(.*)</lastBuildDate>.*<yweather:location city="(.*)".*region="(.*)".*country="(.*)".*<yweather:units temperature="(.*)".*distance="(.*)".* pressure="(.*)".*speed="(.*)".*<yweather:wind chill="(.*)".*direction="(.*)".*speed="(.*)".*<yweather:atmosphere humidity="(.*)".* visibility="(.*)".*pressure="(.*)".* rising="(.*)".*<yweather:astronomy sunrise="(.*)".*sunset="(.*)".*<title>(.*)</title>.*<width>(.*)</width>.*<height>(.*)</height>.*<link>(.*)</link>.*<url>(.*)</url>.*<title>(.*)</title>.*<geo:lat>(.*)</geo:lat>.*<geo:long>(.*)</geo:long>.*<link>(.*)/\*(.*)</link>.*<pubDate>(.*)</pubDate>.*<yweather:condition  text="(.*)".*code="(.*)".*temp="(.*)".*date="(.*)".*<img src="(.*)".*Current Conditions:</b><br />(.*)<BR />.*Forecast:</b><BR />(.*)<br />.*(.*)<br />.*<a href="(.*)/\*(.*)">.*provided by <a href="(.*)" >(.*)</a>.*<yweather:forecast day="(.*)".*date="(.*)".*low="(.*)".*high="(.*)".*text="(.*)".*code="(.*)".*<yweather:forecast day="(.*)".*date="(.*)".*low="(.*)".*high="(.*)".*text="(.*)".*code="(.*)".*"

[MeasureState]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureYahooWeather]
StringIndex=8

[MeasureCountry]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureYahooWeather]
StringIndex=7

[MeasureNowIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureYahooWeather]
StringIndex=35

[MeasureNowWeatherConditions]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureYahooWeather]
StringIndex=50

[MeasureNowWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureYahooWeather]
StringIndex=36

[MeterNowIcon]
Meter=IMAGE
MeasureName=MeasureNowIcon
X=230
Y=25
Path="#CURRENTPATH#WeatherIcons"
PreserveAspectRatio=1
AntiAlias=1

[MeterNowTemp]
Meter=STRING
MeasureName=MeasureNowWeatherTemp
X=400
Y=35
StringStyle=Bold
StringAlign=Center
FontColor=255,255,255,255
FontSize=17
StringEffect=SHADOW
FontEffectColor=0,0,0,100
FontFace=AlphaMaleModern
Antialias=1
Text="%1°"

[MeterNowConditions]
Meter=STRING
MeasureName=MeasureNowWeatherConditions
Meter=STRING
X=325
Y=50
StringStyle=BOLD
StringAlign=Center
FontColor=255,255,255,255
FontSize=11
FontFace=AlphaMaleModern
Antialias=1

[MeterNowLocation]
Meter=STRING
MeasureName=MeasureCountry
MeasureName2=MeasureState
Meter=STRING
X=325
Y=25
StringStyle=BOLD
StringAlign=Center
FontColor=255,255,255,255
FontSize=10
FontFace=AlphaMaleModern
Antialias=1
Text=%1

================================================================================================



